Subject: Re: [xml2rfc-dev] RFC 7991 issue #38: Schema Issue, RFC 7991, In Section 2.20, <dl>

From: Julian Reschke <[email-masked]>
Date: Fri, 4 Jan 2019 10:31:07 +0100

On 2018-12-19 08:22, Julian Reschke wrote:
> On 2018-11-16 08:45, Julian Reschke wrote:
>> On 2018-11-05 16:35, Julian Reschke wrote:
>>> On 2018-10-08 16:53, Henrik Levkowetz wrote:
>>>> I propose closing this ticket with the following resolution:
>>>>
>>>> In Section 2.20.2.  "hanging" Attribute:
>>>>
>>>> Change "hanging" to "newline" throughout.
>>>>
>>>>
>>>> If there are no objections to the resolution by EOB Tuesday, I'll 
>>>> close the
>>>> ticket.
>>>
>>> But then, we need to swap values as well, right?
>>>
>>> hanging=true should be equivalent to newline=false.
>>>
>>> Best regards, Julian
>>
>> (ping)
>> ...
> 
> Ping, once again...

With all due respect, it seems to me that the process that is being 
followed now doesn't work.

Best regards, Julian

---

From: Heather Flanagan <[email-masked]>
Date: Fri, 18 Jan 2019 08:58:09 -0800

> On Jan 4, 2019, at 1:31 AM, Julian Reschke <[email-masked]> wrote:
> 
>>>>> If there are no objections to the resolution by EOB Tuesday, I'll close the
>>>>> ticket.
>>>> 
> With all due respect, it seems to me that the process that is being followed now doesn't work.
> 

Hi Julian,

I’d sent a note back in November that the process we’d hoped to use was not working. I know you disagreed with that, but the issues we’ve had have not changed, and so we’re still focusing on Henrik completing the coding with documentation on where what he’s done does not match what’s in RFC 7991. 

We’ll need to evaluate based on broader feedback what changes we keep and what we need to revert in both the document and the code. A note about community testing should be going out soon.

Thanks,
Heather

---

From: Julian Reschke <[email-masked]>
Date: Fri, 18 Jan 2019 18:05:35 +0100

> We’ll need to evaluate based on broader feedback what changes we keep and what we need to revert in both the document and the code. A note about community testing should be going out soon.

To clarify:

- we have something defined in RFC 7991

- we agreed to a change

- but that change is incorrect

- we have an unpublished change in RFC 7991bis that is incorrect as above

- I *believe* Henrik noticed as well, because his implementation doesn't 
seem to have that problem

- However, there is *zero* feedback (AFAICT), not on the mailing list, 
not on Git, not in Henrik's notes.

This is a problem. We're essentially getting back to where we ~5 years 
ago: the vocabulary is defined by what a certain implementation happens 
to do.

Best regards, Julian

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 18 Jan 2019 18:26:56 +0100

> - but that change is incorrect

My understanding of the change we agreed on was that newline="true" has the
same meaning as the old hanging="false".  My implementation reflects this.
I'm updating my notes draft to be more explicit about this.

	Henrik

---

From: Julian Reschke <[email-masked]>
Date: Fri, 18 Jan 2019 19:51:19 +0100

> I'm updating my notes draft to be more explicit about this.

Thanks.

Now, optimally, this (and other changes) would also show up somewhere in 
the 7991bis draft repo.

Best regards, Julian